package com.ruoyi.rocketmq.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 文件信息对象 rm_file_info
 * 
 * @author gyt
 * @date 2025-09-15
 */
public class RmFileInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 文件ID */
    private Long id;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String name;

    /** 文件类型（如：jpg、pdf、exe等） */
    @Excel(name = "文件类型", readConverterExp = "如=：jpg、pdf、exe等")
    private String type;

    /** 文件描述 */
    @Excel(name = "文件描述")
    private String description;

    /** 文件大小（KB） */
    @Excel(name = "文件大小", readConverterExp = "K=B")
    private Long fileSize;

    /** 文件MD5值 */
    @Excel(name = "文件MD5值")
    private String md5;

    /** 文件存储路径 */
    @Excel(name = "文件存储路径")
    private String path;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    public void setFileSize(Long fileSize) 
    {
        this.fileSize = fileSize;
    }

    public Long getFileSize() 
    {
        return fileSize;
    }

    public void setMd5(String md5) 
    {
        this.md5 = md5;
    }

    public String getMd5() 
    {
        return md5;
    }

    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("description", getDescription())
            .append("fileSize", getFileSize())
            .append("md5", getMd5())
            .append("path", getPath())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
